Package javax.el

## Class Expression

- java.lang.Object
- - javax.el.Expression

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `MethodExpression`, `ValueExpression`

    public abstract class Expression
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Expression()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `equals​(java.lang.Object obj)`
`abstract java.lang.String` `getExpressionString()`
`abstract int` `hashCode()`
`abstract boolean` `isLiteralText()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Expression

    public Expression()

### Method Detail

#### getExpressionString

    public abstract java.lang.String getExpressionString()

#### equals

    public abstract boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public abstract int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### isLiteralText

    public abstract boolean isLiteralText()